#!/usr/bin/perl

use CGI qw/ :standard :html3 /;
use CGI escape, unescape, font, center;
my $query = new CGI;

my $show   = ($query->param('show') ? 1 : 0);
my $filename = $query->param('filename');
# Letters, numbers, dash, underscore.  No slash or especially dot!
die unless $filename =~ m!^[a-z\d\-\_]+$!i;

my $mimetype;
my $disposition;
my $charset;
if ($show) {
    $mimetype = "text/plain";
    $disposition = "inline";
    $charset = "; charset=UTF-8";
} else {
    $mimetype = "application/octet-stream";
    $disposition = "attachment";
    $charset = "";
}

print header(-expires=>'-15m',
	     -type=>"$mimetype; name=$filename$charset",
	     -Content_Disposition=>"$disposition; filename=$filename");

open F, "<$filename" or die;
while (defined($l=<F>)) {
    print $l;
}
close F;

exit 0;

