<!-- _GP_
# undef all the functions we're defining. This stops lots of
# complaining about re-defining the sub for each content file thats
# processed.

       if (defined(&who)) { undef &who; }
       if (defined(&where)) { undef &where; }
       if (defined(&when)) { undef &when; }
 -->

<!--  _GP_ 
# These functions are defined here as straightforward perl - remember
# to undef them first if you don't want perl complaining about lots of 
# subroutine re-definitions if genpage is processing more than one 
# content file.
#
# The reason is that the template is evaluated from scratch for each
# new content file.
#
# Hence, it is probably good practise to undef everything you define
# within the scope of a layout file before you start

    sub who { 
	if ($^O eq "MacOS" || $^O eq "MSWin32") {
	return ("unknown"); # don't know how to get these easily on 
                            # DOS/Win32 or MacOS.
	}
	else {	
          my $ret=`/usr/bin/whoami`;
          chop $ret;
          return ($ret);
	} 
    }

    sub when { 
	return ($now);
    }  

    sub where { 
	use Sys::Hostname;

	$ret = hostname();
        return ($ret);
    }  
 -->
