#
# This recipe calculates last modification time of the specified file
#
# Submitted by Karl Heinz Kremer khk@khk.net  (24/05/1999)
# 
# initialisation: put <!-- _GP_ recipe($root/include/getModTime.gp) --> in 
# one of the parsed files e.g. your template.
#
# use: <!-- _GP_ getModTime("file") -->
# 

sub getModTime {
	use File::stat;
	use POSIX qw(strftime);
	my $filename = shift;
	my $st = stat($filename) || die "no $filename";
	return strftime "%a %b %e, %Y", gmtime($st->mtime);
}

return "<!-- Genpage recipe getModTime included -->";
