# By max.maischein@econsult.de

# Simple menu system to have a site navigation on the bottom of each page
# To use, put <!-- _GP_ include("$root/include/menu.gp") --> into the template

#
# Usage is as follows :
# 1. Set up your glossary to map the page names to the actual file names
# 2. In your template (or wherever appropriate) create a navigation bar in the style of
# <CENTER>
#   <-- _GP_ menulink("homepage", "Home") --> |
#   <-- _GP_ menulink("filepage", "Downloads") --> |
#   <-- _GP_ menulink("email", "Contact") -->
# </CENTER>
#

# Pull in some other usefull recipe from the standard distribution
recipe("relPath.gp");

	sub menulink {
	  my $target = shift;
	  my $text = shift;
	  my $result;
	  my $realtarget = gloss($target);
	  my $realpage = $realtarget;
	  my $outfile;

	  ($outfile = $outputfile) =~ s!^$opt_o/?!!i;

	  my $link = relPath(gloss($target));

	  $outfile =~ s!//+!/!g;
	  $realpage =~ s!//+!/!g;
	  $link =~ s!//+!/!g;
	  $link =~ s!index.html$!!;

	  if (0) {
	      print "Menu: HTML filename : $outputfile\n";
	      print "Menu: Link filename : $outfile\n";
	      print "Menu: Real: >" . $realtarget . "<\n";
	      print "Menu: Realpage: >$realpage<\n";
	  }

          if ($outfile eq $realpage) {
	    $result = "<B>" . $text . "</B>";
	  } else {
	    $result = "<A HREF=\"" . $link . "\">" . $text . "</A>";
	  };
#          print "Menu: $result\n";
	  return( $result );
	};

return "<!-- Using menu.gp -" . "->"
